## org.apache.commons.math3.genetics
Interface MutationPolicy

All Known Implementing Classes:
  BinaryMutation, RandomKeyMutation

    public interface MutationPolicy

Algorithm used to mutate a chromosome.

Since:
  2.0
Version:
  $Id: MutationPolicy.java 1416643 2012-12-03 19:37:14Z tn $

Method Summary
`Chromosome` `mutate(Chromosome original)` Mutate the given chromosome.

Method Detail

### mutate

    Chromosome mutate(Chromosome original)
                      throws MathIllegalArgumentException

  Mutate the given chromosome.

  Parameters:
    `original` - the original chromosome.
  Returns:
    the mutated chromosome.
  Throws:
    `MathIllegalArgumentException` - if the given chromosome is not compatible with this `MutationPolicy`

Copyright (c) 2003-2013 Apache Software Foundation